<?php
/**
 * Fade in fade out article title
 *
 * @package 	Fade in fade out article title
 * @subpackage 	mod_fade_in_fade_out_article_title
 * @version   	4.0
 * @author    	Gopi Ramasamy
 * @copyright   Copyright (C) 2010 - 2021 www.gopiplus.com. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 *
 * http://www.gopiplus.com/extensions/2011/08/fade-in-fade-out-article-title/
 */

defined('_JEXEC') or die;

use Joomla\CMS\Helper\ModuleHelper;
use Joomla\Module\FadeInFadeOutArticleTitle\Site\Helper\FadeInFadeOutArticleTitleHelper;

$modbase 	= JURI::base(true).'/modules/mod_fade_in_fade_out_article_title/';
$document 	= JFactory::getDocument();
$document->addScript ($modbase.'/tmpl/mod_fade_in_fade_out_article_title.js');	

$items 		= FadeInFadeOutArticleTitleHelper::getArticleList($params);

require ModuleHelper::getLayoutPath('mod_fade_in_fade_out_article_title', $params->get('layout', 'default'));