<?php
/**
 * Fade in fade out article title
 *
 * @package 	Fade in fade out article title
 * @subpackage 	mod_fade_in_fade_out_article_title
 * @version   	4.0
 * @author    	Gopi Ramasamy
 * @copyright   Copyright (C) 2010 - 2021 www.gopiplus.com. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 *
 * http://www.gopiplus.com/extensions/2011/08/fade-in-fade-out-article-title/
 */

defined('_JEXEC') or die;

$fifopost_prefix 	= $params->get('fifopost_prefix');
$fifopost_fadein 	= (int) $params->get('fifopost_fadein', 0);
$fifopost_fade 		= (int) $params->get('fifopost_fade', 0);
$fifopost_fadestep 	= (int) $params->get('fifopost_fadestep', 3);
$fifopost_fadewait 	= (int) $params->get('fifopost_fadewait', 3000);

$fifopost_arr = "";
if ( ! empty($items) ) 
{
	$count = 0;
	foreach ( $items as $item ) 
	{
		$title 	= addslashes($item->title);
		$link 	= $item->link;	
		
		$fifopost_arr = $fifopost_arr . "fifopost_Links[$count] = '$link'; fifopost_Titles[$count] = '$title'; ";
		if($count == 0)
		{
			$first_t = $title;
			$first_l = $link;
		}
		$count = $count + 1;
	}
	?>
	<script type="text/javascript" language="javascript">
	function fifopost_SetFadeLinks() 
	{
		<?php echo $fifopost_arr ?>
	}
	var fifopost_FadeOut 	= 255;
	var fifopost_FadeIn 	= <?php echo $fifopost_fadein; ?>;
	var fifopost_Fade 		= <?php echo $fifopost_fade; ?>;
	var fifopost_FadeStep 	= <?php echo $fifopost_fadestep; ?>;
	var fifopost_FadeWait 	= <?php echo $fifopost_fadewait; ?>;
	var fifopost_bFadeOutt 	= true;
	</script>
	<div id="gopiplus_css" style="padding:5px;"><?php echo $fifopost_prefix; ?><a href="<?php echo $first_l; ?>" id="fifopost_Link"><?php echo $first_t; ?></a></div>
	<?php
}
?>
